Inhalte

# DEZIMAL

Konvertiert Text, der eine Zahl in einem Zahlensystem mit der angegebenen Zahlenbasis darstellt, in eine positive ganze Zahl. Die Basis muss im Bereich von 2 bis 36 liegen. Leerzeichen und Tabulatoren werden ignoriert. Beim Feld Text wird die Groß-/Kleinschreibung nicht beachtet.

Wenn die Basis 16 ist, werden ein vorangestelltes "x" oder "X" beziehungsweise "0x" oder "0X" und ein angehängtes "h" oder "H" nicht berücksichtigt. Wenn die Basis 2 ist, wird ein angehängtes "b" oder "B" ignoriert. Andere Zeichen, die nicht zum Zahlensystem gehören, erzeugen einen Fehler.

#### Syntax

DEZIMAL("Text"; Zahlenbasis)

Text ist der zu konvertierende Text.

Zahlenbasis gibt die Basis des Zahlensystems an. Es kann jede positive ganze Zahl zwischen 2 und 36 sein.

#### Beispiel

=DEZIMAL("17";10) gibt 17 zurück.

=DEZIMAL("FACE";16) gibt 64206 zurück.

=DEZIMAL("0101";2) gibt 5 zurück.

Verwandte Themen

Wiki-Seite zu DEZIMAL.

BASIS

Textfunktionen

Bitte unterstützen Sie uns!